Subject: Re: [PATCH 3/4] reftable/stack: fix zero-sized allocation when there are no readers

From: Junio C Hamano <[email-masked]>
Date: Sat, 21 Dec 2024 09:57:01 -0800

Junio C Hamano <[email-masked]> writes:

>>  reftable/stack.c | 44 +++++++++++++++++++++++---------------------
>>  1 file changed, 23 insertions(+), 21 deletions(-)
>
> This somehow did not cleanly apply, so I whiggled it in manually.

That is because I usually ignore author-supplied base, and this time
I used the tip of ps/reftable-alloc-failures topic, which brings all
the text these four patches touch, in my initial attempt.

Applying these on the author-supplied base (ff795a5c5e) yields the
same tree as the result of merging my manual application of these
four patches to ps/reftable-alloc-failures into the same base.